package com.zanxiang.manage.controller;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zanxiang.common.domain.ResultVO;
import com.zanxiang.erp.security.annotation.PreAuthorize;
import com.zanxiang.manage.domain.params.PayBoxListParam;
import com.zanxiang.manage.domain.vo.PayBoxListVO;
import com.zanxiang.manage.service.IPayBoxService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiResponse;
import io.swagger.annotations.ApiResponses;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author : lingfeng
 * @time : 2022-11-25
 * @description : 支付盒子管理
 */
@Api(tags = "支付盒子管理")
@RestController
@RequestMapping("/pay/box")
public class PayBoxController {

    @Autowired
    private IPayBoxService payBoxService;

    @ApiOperation(value = "支付盒子列表查询")
    @PostMapping(value = "/list")
    @PreAuthorize(permissionKey = "manage:payBox:list")
    @ApiResponses(value = {@ApiResponse(code = 200, message = "成功", response = PayBoxListVO.class)})
    public ResultVO<IPage<PayBoxListVO>> list(@Validated @RequestBody PayBoxListParam param) {
        return new ResultVO<>(payBoxService.pageList(param));
    }
}
